Summary: Command line tool to send SMS (short message system/service)
Name: sms_client
Version: 2.0.8y
Release: 2
Copyright: LGPL
Group: Applications/Communications
Source: http://www.styx.demon.co.uk/archive/%{name}-%{version}.tar.gz
Patch0: sms_client-2.0.8y-Makefile.patch
Patch1: sms_client-2.0.8y-sms_config.patch
URL: http://www.styx.demon.co.uk/
Vendor: Angelo Masci <angelo@styx.demon.co.uk>
Packager: Michael Stefaniuc <mstefani@redhat.com>
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildPrereq: perl

%description
SMS Client is a UNIX command line based utility which allows you to send SMS
messages to mobile phones and pagers. SMS Client currently supports
a wide variety of services providers and protocols.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
./configure
# cleanup the Makefiles
MAKEFILES=`find . -name Makefile -print`
perl -pi -e 's/-o \$\(SMSUSER\) -g \$\(SMSGROUP\) //' $MAKEFILES
perl -pi -e 's/(\$\(INSTALL\).*?)(\$\((BIN|LOG|MAN|MSERVICE|SPOOL)DIR\))/$1\$(DESTDIR)$2/' $MAKEFILES
perl -pi -e "s/^(CFLAGS\s*=)/\$1 $RPM_OPT_FLAGS /" Makefile.config
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/sms
%doc Changelog FAQ README README.1ST TODO contrib docs
/usr/bin/*
/usr/man/*
%dir /var/spool/sms
/var/spool/sms/*

%changelog
* Mon Jun 05 2000 Michael Stefaniuc <mstefani@redhat.com>
- initial packaging
